USM bug reports

Please reproduce your error on a second machine before posting, and check the error by running without saved changes or extra modules (See FAQ No. 13, "How to report a bug"). For unstable Porteus versions (alpha, beta, rc) please use the relevant thread in our "Development" section.
Bogomips
Full of knowledge
Full of knowledge
Posts: 2563
Joined: 25 Jun 2014, 15:21
Distribution: 3.2.2 Cinnamon & KDE5
Location: London

Re: [FAA]USM bug reports

Post#271 by Bogomips » 03 Feb 2015, 22:54

Believe it's to do with data base being out of sync with USM.
Linux porteus 4.4.0-porteus #3 SMP PREEMPT Sat Jan 23 07:01:55 UTC 2016 i686 AMD Sempron(tm) 140 Processor AuthenticAMD GNU/Linux
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2) MemTotal: 901760 kB MemFree: 66752 kB

ElectriQT
Samurai
Samurai
Posts: 116
Joined: 10 Nov 2013, 12:02
Distribution: LXDE3.5Manjaro, LXDE3.01-32bit
Location: Sweden

Re: [FAA]USM bug reports

Post#272 by ElectriQT » 03 Feb 2015, 23:05

Bogomips wrote:Believe it's to do with data base being out of sync with USM.
No knowledge about that, sorry.
If so I would have tried to empty the db-folders, and then run it again.
but please wait for Brokenmans reply if you are not sure. Im just guessing now...

Bogomips
Full of knowledge
Full of knowledge
Posts: 2563
Joined: 25 Jun 2014, 15:21
Distribution: 3.2.2 Cinnamon & KDE5
Location: London

Re: [FAA]USM bug reports

Post#273 by Bogomips » 04 Feb 2015, 11:30

Waiting for admin now. Already been marked FAA. :beer:
Linux porteus 4.4.0-porteus #3 SMP PREEMPT Sat Jan 23 07:01:55 UTC 2016 i686 AMD Sempron(tm) 140 Processor AuthenticAMD GNU/Linux
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2) MemTotal: 901760 kB MemFree: 66752 kB

User avatar
brokenman
Site Admin
Site Admin
Posts: 5565
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: [FAA]USM bug reports

Post#274 by brokenman » 04 Feb 2015, 12:01

ElectriQT could you please give the output of: usm -i
How do i become super user?
Wear your underpants on the outside and put on a cape.

User avatar
Ed_P
Contributor
Contributor
Posts: 3319
Joined: 06 Feb 2013, 22:12
Distribution: Cinnamon 3.2.2 64-bit ISO
Location: Western NY, USA

Re: [FAA]USM bug reports

Post#275 by Ed_P » 04 Feb 2015, 15:10

FYI & FWIW

Code: Select all

guest@porteus:~$ usm -i

Only root can do that.
guest@porteus:~$ su
Password: 
root@porteus:/home/guest# usm -i
++++++++++++++++++++++++++++++
usm application information

USM version:  3.1.7
DB version:  140929
Current storage: /tmp/usm
Current config: /etc/usm/usm.conf
Current platform: Porteus-v3.0.1
Current arch: x86_64
Slackware Slackware 14.1
Current kernel 3.14.15-porteus
Current distros: slackware slackwarepatches slacky salix alien ponce
quiet from=/ISOs/Porteus-RazorQT-v3.0.1-x86_64-nu.iso changes=EXIT:/porteus3.0/changes/porteussave.dat extramod=/porteus3.0/Modules volume=40  

 Use: usm -i <package> 
 For example: usm -i imagemagick

root@porteus:/home/guest# usm -i flash

 The following items were found.
 Choose an number to confirm. 
 ctrl+c to quit

1) flash-player-plugin-11.2.202.429-x86_64-1sl.txz
2) flash-plugin-11.2.202.440-x86_64-1gv.txz
3) chromium-pepperflash-plugin-16.0.0.296-x86_64-1alien.txz
4) flashplayer-plugin-11.2.202.440-x86_64-1alien.txz
#? 4

Package:  flashplayer-plugin-11.2.202.440-x86_64-1alien.txz  (5212 K) [installed]
flashplayer-plugin: flashplayer-plugin (flash plugin for web browsers)
flashplayer-plugin:
flashplayer-plugin: Provides Adobe Flash plugin for browsers that recognize
flashplayer-plugin: /usr/lib/mozilla/plugins as a valid plugin directory
flashplayer-plugin:
flashplayer-plugin: Plugin is subject to Adobe terms of use: 
flashplayer-plugin:  http://www.adobe.com/go/labs_term_of_use
flashplayer-plugin:
flashplayer-plugin: Plugin is subject to Adobe Flash EULA:
flashplayer-plugin:  http://labs.adobe.com/technologies/eula/flashplayer.html
flashplayer-plugin:
Relates to this report: viewtopic.php?f=117&t=3205&start=255#p31208 which occurs with RazorQt 3.0.1 and LXQt 3.1.
Ed

ElectriQT
Samurai
Samurai
Posts: 116
Joined: 10 Nov 2013, 12:02
Distribution: LXDE3.5Manjaro, LXDE3.01-32bit
Location: Sweden

Re: [FAA]USM bug reports

Post#276 by ElectriQT » 04 Feb 2015, 15:33

brokenman wrote:ElectriQT could you please give the output of: usm -i
Hi there! Yepp, sure:
I found one package that still can reproduce the error, if I chose to download 32bit Flashplayer from aliens it happens again,
not all packages give the LIBS.TXT-error now.

And un-chck the box with "resolve dependencies" will allow download and dont give the LIBS.TXT-error.
that might be a clue also?

Code: Select all


root@porteus:/home/guest# usm -i
++++++++++++++++++++++++++++++
usm application information

USM version:  3.1.4
Current storage: /tmp
Current arch: i486
Slackware 14.1
Current distros: slackware slackwarepatches slacky salix alien ponce

 Use: usm -i <package> 
 For example: ppm -i imagemagick



root@porteus:/home/guest# usm -i flashplayer-plugin

Package:  flashplayer-plugin-11.2.202.440-i386-1alien.txz  (5096 K) [installed]
flashplayer-plugin: flashplayer-plugin (flash plugin for web browsers)
flashplayer-plugin:
flashplayer-plugin: Provides Adobe Flash plugin for browsers that recognize
flashplayer-plugin: /usr/lib/mozilla/plugins as a valid plugin directory
flashplayer-plugin:
flashplayer-plugin: Plugin is subject to Adobe terms of use: 
flashplayer-plugin:  http://www.adobe.com/go/labs_term_of_use
flashplayer-plugin:
flashplayer-plugin: Plugin is subject to Adobe Flash EULA:
flashplayer-plugin:  http://labs.adobe.com/technologies/eula/flashplayer.html
flashplayer-plugin:

(ppm? Leftovers from the old name for usm?)



And in my system, there is a:
/usr/lib/mozilla/plugins/libflashplayer.so
The Size of that .so file is: 17,429,668 bytes

Thanx

Bogomips
Full of knowledge
Full of knowledge
Posts: 2563
Joined: 25 Jun 2014, 15:21
Distribution: 3.2.2 Cinnamon & KDE5
Location: London

Re: [FAA]USM bug reports

Post#277 by Bogomips » 04 Feb 2015, 17:24

@ElectricQT

Your USM is 3.1.4, you may need to update to 3.1.7. Just a thought.
Linux porteus 4.4.0-porteus #3 SMP PREEMPT Sat Jan 23 07:01:55 UTC 2016 i686 AMD Sempron(tm) 140 Processor AuthenticAMD GNU/Linux
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2) MemTotal: 901760 kB MemFree: 66752 kB

User avatar
brokenman
Site Admin
Site Admin
Posts: 5565
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: [FAA]USM bug reports

Post#278 by brokenman » 05 Feb 2015, 14:40

Please download thee latest version of USM from here
How do i become super user?
Wear your underpants on the outside and put on a cape.

Bogomips
Full of knowledge
Full of knowledge
Posts: 2563
Joined: 25 Jun 2014, 15:21
Distribution: 3.2.2 Cinnamon & KDE5
Location: London

Re: [FAA]USM bug reports

Post#279 by Bogomips » 05 Feb 2015, 17:03

usm -g out of step with usm -i/-s

Code: Select all

oot@porteus:/home/guest# usm -s ttf-indic

ttf-indic-fonts-0.5.14-noarch-1.txz was found in slackware [not installed]
Packages found:   1 

Use:   usm -i <package>  for more info
Use:   usm -g <package>  to download

root@porteus:/home/guest# usm -i ttf-indic

Package:  ttf-indic-fonts-0.5.14-noarch-1.txz  (2908 K) [not installed]
ttf-indic-fonts: ttf-indic-fonts (Fonts for Indic scripts)
ttf-indic-fonts:
ttf-indic-fonts: This is a collection of free fonts that support some of the more
ttf-indic-fonts: widely used Indic scripts.  Included are TTF fonts for Bengali,
ttf-indic-fonts: Devanagari, Gujarati, Kannada, Malayalam, Oriya, Punjabi, Tamil,
ttf-indic-fonts: and Telugu.
ttf-indic-fonts:
ttf-indic-fonts: For more information about enabling full Indic support (this package
ttf-indic-fonts: will enable display, but probably not input), see the
ttf-indic-fonts: Indic-Fonts-HOWTO which can be found in /usr/doc/Linux-HOWTOs.
ttf-indic-fonts:

oot@porteus:/home/guest# usm -g ttf-indic-fonts-0.5.14-noarch-1

 Nothing found for:  ttf-indic-fonts-0.5.14-noarch-1 

root@porteus:/home/guest# usm -g ttf-indic-fonts

 Nothing found for:  ttf-indic-fonts 

root@porteus:/home/guest# 
Deficiency somewhat similar to that reported in my earlier post regarding Slackware 14.0 not being scanned.
Linux porteus 4.4.0-porteus #3 SMP PREEMPT Sat Jan 23 07:01:55 UTC 2016 i686 AMD Sempron(tm) 140 Processor AuthenticAMD GNU/Linux
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2) MemTotal: 901760 kB MemFree: 66752 kB

User avatar
brokenman
Site Admin
Site Admin
Posts: 5565
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: [FAA]USM bug reports

Post#280 by brokenman » 06 Feb 2015, 02:10

Confirmed. Something in the new automated system is generating an incorrect OPTIFEST file. It looks like it happens with all packages with 'font' in the file name and 'bsd-games'. Will check it out this weekend. Thanks.
How do i become super user?
Wear your underpants on the outside and put on a cape.

ElectriQT
Samurai
Samurai
Posts: 116
Joined: 10 Nov 2013, 12:02
Distribution: LXDE3.5Manjaro, LXDE3.01-32bit
Location: Sweden

Re: [FAA]USM bug reports

Post#281 by ElectriQT » 06 Feb 2015, 13:17

@bogomips
Thanx! Didnt know that, as it says i have the latest when I "update all" in usm (3.14
brokenman wrote:Please download thee latest version of USM from here
Thank you for the link,
So I activated and placed in modules-folder,
I got a new jinn-yang-look at the USM icon in the status-bar

(but cant reboot this computer today, maybe in the weekend.)

Now I have an unknown version,
(as the new "About, USM" does not tell me the version number any more. :-)

Now I also have a lot of errors messages..
And still the LIBS -error if I have the checkbox ticked for resolve dep.

Then the "update all" get me a somewhat different result, lines that I have not seen before:

Code: Select all

(Hmm, copy of text seems disabled in usm terminal windows ..   :-(  I try to re-write here what it says )

..blabla before, (cant scroll up.)
/usr/share/usm/functupdateDatabase: line 358: [: 94: unary operator expected
/usr/share/usm/functupdateDatabase: line 25: [: 1423222437: unary operator expected
Starting sbu database update
SLACKBUILDS.TXT.gz DONE
sbo  database updated.

/usr/share/usm/functupdateDatabase: line 358: [: 94: unary operator expected

/usr/share/usm/functupdateDatabase: line 44: [: 612: unary operator expected
downlading: extra.deps.txt DONE
/usr/share/usm/functupdateDatabase: line 44: [ 9644319: unary operator xpected
Downloading: ignore-deps.txt DONE
you can now close this woindow


But when I look in the inifile it says 314, the same version as before,
do the new usm-program no update of that file when I run it + updateall?

Code: Select all

# usm.conf - Configuration for Unified Slackware Manager (usm)
#

# Resolve dependencies for all packages
# Set this to true or false (never uncomment this)
RESOLVE=true

# The automatice update check that is made when internet
# is accessed. This update check doubles as a check that
# you have internet access before downloading packages.
# Set to false to disable update check.
AUTOCHECK=true

# Storage of database files (e.g PACKAGES.TXT)
DBDIR=/root/usm

# usm works with the repositories of various slackware based distros.
# The variable below is used to find the mirror for each distro given.
# The mirror files are stored in ${DBDIR}/mirrors-distro.txt
DISTROS="slackware slackwarepatches slacky salix alien ponce"

# Where packages will be downloaded to.
STORAGE=/tmp

# Time before system dependency cache is deleted.
# This is found in function system_deps()
declare -i HOURS=1

# The directory where your slackbuilds source files
# will be downloaded when building from source
SBOTMP=/tmp/usmsbo

# USM uses wget to fetch packages and database updates.
# Uncomment this and put your proxy address here.
#PROXY=http://180.241.124.57:8080

# If your proxy has a username, uncomment it and place it here.
# This setting requires the above #PROXY to be uncommented.
#PROXYUSER=username

# Proxy password
# This setting requires the above #PROXY to be uncommented.
# This setting requires the above #PROXYUSER to be uncommented.
#PROXYPASS=mypassword

# The initial size of the bottom text box window in the GUI
TXTBOX=210

# Do not show any prompts.
# For the GUI this means the last prompt that asks if you want to
# open the folder for viewing will not be shown.
# For the CLI this means just download the packages to storage without
# asking about creating subfolders, etc.
# false means you WILL receive prompts.
NOPROMPTS=false

############ CLI PROMPTS
# CLI option that automatically prompts to
# create a subfolder with name of chosen module
# all dependencies will be downloaded to this subfolder
# This is called from funcpackagesGet
# This variable should be true if you want to be prompted
SUBFOLDERPROMPT=true

############ PORTEUS ONLY SETTINGS

# Convert all slackware packages that are downloaded
# to porteus modules.
MODULES=true

# Merge downloaded packages into one module bundle
MERGE=false

################################
# DO NOT EDIT BELOW THIS POINT
# OR A PUPPY DOG COULD DIE!
################################

# Uncomment and set this value to overide automated detection
# Used for development and troubleshooting only
# ARCH=x86_64

# Uncomment and set this value to overide automated detection
# Used for development and troubleshooting only
#SLACKVER=14.1

USMVERSION=3.1.4
VALIDVERS="14.1 slackware-current"
SUPPLIMENTOPTI=/etc/usm/suppliment-optifest.txt
SUPPLIMENTLIBS=/etc/usm/suppliment-libs.txt
CACHEPATH=/var/cache/usm
CACHE=${CACHEPATH}/usm-cache
CHECKED=$CACHEPATH/checked
USMVER=150205
DBVER=150205
UPDLINK=http://downloads.sourceforge.net/project/usm
DISFILES=$CONFDIR/files.conf
WGETFLAGS="--passive-ftp --trust-server-names --no-check-certificate --progress=dot"
CURLFLAGS=""

PREFIX=/usr

Also I notice that it does not skip the downloads any more when "update all" several times in a row. Before it did say if I run it more than once "you have already updated today, skipping" , or something like that.

Hmm.

But still, if I uncheck the ["resolve dep"] , then it do finds todays flashplayer-update .442 and did make me a module, I changed to this one in my modules-folder and activated, it seems to work great in firefox.

Bogomips
Full of knowledge
Full of knowledge
Posts: 2563
Joined: 25 Jun 2014, 15:21
Distribution: 3.2.2 Cinnamon & KDE5
Location: London

Re: [FAA]USM bug reports

Post#282 by Bogomips » 06 Feb 2015, 16:07

ElectriQT wrote:@bogomips
Thanx! Didnt know that, as it says i have the latest when I "update all" in usm (3.14

Code: Select all

root@porteus:/home/guest# usm -v
 You are using USM version:  3.1.7

root@porteus:/home/guest# usm -u usm
Downloading: vercheck.txt  DONE

 An update is available for the usm database files.
 Please run:  usm -u all 

You have the current USM version.
But your version may be too out of date to function as above. Seem to remember a bug in earlier versions that prevented updating through usm -u usm. In earlier post did clear a procedure for updating with Brokenman, Will have a look for it and get back to you. (Thanx for info on 442, although now try to avoid flash as much as possible, due to disagreeability with Mozilla. Other alternatives mentioned in Ashkenazi sound tutorial)
Linux porteus 4.4.0-porteus #3 SMP PREEMPT Sat Jan 23 07:01:55 UTC 2016 i686 AMD Sempron(tm) 140 Processor AuthenticAMD GNU/Linux
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2) MemTotal: 901760 kB MemFree: 66752 kB

User avatar
brokenman
Site Admin
Site Admin
Posts: 5565
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: [FAA]USM bug reports

Post#283 by brokenman » 06 Feb 2015, 17:29

ElectriQT, please replace your usm.conf in your custom location with the one from /etc/usm/usm.conf and then make your custom changes in it again. The broken LIBS.TXT file may be because of whiteout files in your changes.
How do i become super user?
Wear your underpants on the outside and put on a cape.

User avatar
Ed_P
Contributor
Contributor
Posts: 3319
Joined: 06 Feb 2013, 22:12
Distribution: Cinnamon 3.2.2 64-bit ISO
Location: Western NY, USA

Re: [FAA]USM bug reports

Post#284 by Ed_P » 06 Feb 2015, 20:24

FWIW I get the LIBS.TXT error also. On i386 systems and x86-64 systems, 3.0.1 and 3.1 releases all with different save.dat files.
Ed

ElectriQT
Samurai
Samurai
Posts: 116
Joined: 10 Nov 2013, 12:02
Distribution: LXDE3.5Manjaro, LXDE3.01-32bit
Location: Sweden

Re: [FAA]USM bug reports

Post#285 by ElectriQT » 06 Feb 2015, 21:01

Bogomips wrote:
ElectriQT wrote:@bogomips
Thanx! Didnt know that, as it says i have the latest when I "update all" in usm (3.14

Code: Select all

root@porteus:/home/guest# usm -v
 You are using USM version:  3.1.7

But your version may be too out of date to function as above. Seem to remember a bug in earlier versions that prevented updating through usm -u usm. In earlier post did clear a procedure for updating with Brokenman, Will have a look for it and get back to you. (Thanx for info on 442, although now try to avoid flash as much as possible, due to disagreeability with Mozilla. Other alternatives mentioned in Ashkenazi sound tutorial)
Thanx,
yes it seems like 3.17 now here,

Hmm, Still errors, even more of them now.
usm seems to be everywhere in the filesystem now.., hehe,
-So..how to find all folders and entries/links in Linux for a special program like this?
Goal: I want to completely remove usm and start fresh. (and understand its filestructures ..and linux )

Tip on Flash:
https://www.youtube.com/html5 Chose html5player as default if you dont have / dont want to allow flash.

I sadly need Flashplayer to much more than videos in HD, like edesign-tools, the fantastic and free photoeditors at http://www.pixlr.com, even the top "secure" banks uses flash(!) when we want to design and print out our semi-fake Visa or mastercard at the laserprinter. (What do you call that type of ..not the real one.. but time-and-value-limit-able-"symlink"-e-card in English countries?)
:roll:

Post Reply